This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 86173 - [a11y] Mnemonics handling issue
Summary: [a11y] Mnemonics handling issue
Status: VERIFIED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: Image (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: Marian Petras
URL:
Keywords: A11Y, SIMPLEFIX
Depends on:
Blocks: 86438
  Show dependency tree
 
Reported: 2006-09-29 15:06 UTC by Jaromir Uhrik
Modified: 2007-10-02 13:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2006-09-29 15:06:58 UTC
In the files listed below there is used calling of method setMnemonic() or
setDisplayedMnemonic(). Class org.openide.awt.Mnemonics should be used instead -
see issue #67807.

image\src\org\netbeans\modules\image\CustomZoomPanel.java
image\src\org\netbeans\modules\image\ImageViewer.java
Comment 1 Marian Petras 2007-01-17 10:18:14 UTC
Accepted.
Comment 2 Marian Petras 2007-02-15 17:05:02 UTC
In the ImageViewer class, the mnemonic is not part of a displayed label so I
will keep usage of the 'setMnemonic(...)' method.
Comment 4 Jaromir Uhrik 2007-10-02 13:26:41 UTC
I agree => Verified.